## fo-footnote

fo-footnote —

## Synopsis

    struct      FoFootnote;
    struct      FoFootnoteClass;
    FoFo*       fo_footnote_new                 (void);
    void        fo_footnote_set_role            (FoFo *fo_fo,
                                                 FoProperty *new_role);
    FoProperty* fo_footnote_get_role            (FoFo *fo_fo);
    void        fo_footnote_set_source_document (FoFo *fo_fo,
                                                 FoProperty *new_source_document);
    FoProperty* fo_footnote_get_source_document (FoFo *fo_fo);

## Object Hierarchy

      GObject
       +----FoObject
             +----FoNode
                   +----FoFo
                         +----FoFootnote

## Implemented Interfaces

FoFootnote implements FoInlineFoIface.

## Properties

      "role"                 FoProperty           : Read
      "source-document"      FoProperty           : Read

## Description

## Details

### struct FoFootnote

    struct FoFootnote;

### struct FoFootnoteClass

    struct FoFootnoteClass;

### fo_footnote_new ()

    FoFo*       fo_footnote_new                 (void);

Creates a new FoFootnote initialized to default value.

Returns : | the new FoFootnote

### fo_footnote_set_role ()

    void        fo_footnote_set_role            (FoFo *fo_fo,
                                                 FoProperty *new_role);

Sets the role property of `footnote` to `new_role`

`fo_fo` : | The `FoFo` object
`new_role` : | The new "role" property value

### fo_footnote_get_role ()

    FoProperty* fo_footnote_get_role            (FoFo *fo_fo);

Gets the role property of `footnote`

`fo_fo` : | The `FoFo` object
Returns : | The "role" property value

### fo_footnote_set_source_document ()

    void        fo_footnote_set_source_document (FoFo *fo_fo,
                                                 FoProperty *new_source_document);

Sets the source-document property of `footnote` to `new_source_document`

`fo_fo` : | The `FoFo` object
`new_source_document` : | The new "source-document" property value

### fo_footnote_get_source_document ()

    FoProperty* fo_footnote_get_source_document (FoFo *fo_fo);

Gets the source-document property of `footnote`

`fo_fo` : | The `FoFo` object
Returns : | The "source-document" property value

## Properties

"`role`" (FoProperty : Read) | Role property.
"`source-document`" (FoProperty : Read) | Source Document property.